<div ng-controller="pollCtrl">
    <div class="poll_popup" ng-if="poll.questions" style="background-image:url({{poll.thumbnail}});">
        <!--    <h2 class="text-white">{{poll.title}}</h2>-->
        <div class="poll_transparent_container">
            <h2 class="text-white">{{poll.questions[0].questionText}}</h2>
            <div class="default_state_poll" ng-if="!poll.attempted"  ng-class="{'active_poll':poll.attempted}">
                <div class="progress" ng-repeat="options in poll.questions[0].options" ng-click='userpoll.vote(poll.questions[0].questionId,options.optionId)'>
                    <div class="progress-bar" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"> {{options.optionText}} </div>
                </div>
                <h3>{{display_txt}}</h3>
                <!--  <button class="poll_btn" ng-click='poll.attempted=1'>GO</button>-->
            </div>
            <div class="default_state_poll" ng-if="poll.attempted"  ng-class="{'active_poll':poll.attempted}">
                <div class="progress" ng-repeat="options in poll.questions[0].options">
                    <div class="progress-bar" role="progressbar" aria-valuenow="{{userpoll.results[options.optionId]}}" aria-valuemin="0" aria-valuemax="100" style="width: {{userpoll.results[options.optionId]}}%;"> {{options.optionText}} </div>
                    <span class="poll_span">{{userpoll.results[options.optionId]}}%</span>
                </div>
                <!--    contest result-->
                <!--
    <div class="contest_congrats">
        <p>Thanks for participating, we will get back to you soon.</p>
        <div class="contest_congrats_circle">
        <span>You have scored</span>
        <b>60</b>
        </div>
    </div>


-->
                <!--  contest result  ends here-->
                <div class="share_icons poll_share"> <a class="fb_share" ng-click='Share.fb(poll.shareURL)'><i class="fa fa-facebook" aria-hidden="true"></i></a>
                  <a class="tw_share" target="_blank" href="https://twitter.com/intent/tweet?text=Check%20this%20article%20{{poll.shareURL}}"><i class="fa fa-twitter" aria-hidden="true"></i></a>
                  <a target="_blank" href="/{{poll.mainSection.parentSlug}}/{{poll.mainSection.slug}}/{{poll.title|slug}}/{{poll._id}}" class="share_link"><i class="fa fa-link" aria-hidden="true"></i></a>
                  <a class="comment_link"><i class="fa fa-external-link" aria-hidden="true"></i></a>
                  <!-- <a class="heart_icon_share"><i class="fa fa-heart-o" aria-hidden="true"></i></a> </div> -->
                <div class="poll_next_article" ng-click="userpoll.nextPoll(poll.next)">
                    <h3 class="h3small_headings">NEXT POLL</h3>
                    <p>{{poll.next.title}}</p>
                </div>
            </div>
        </div>
    </div>
</div>
